# $Revision: 1.20 $, $Date: 2008/11/05 23:28:43 $
Summary:	XFree86-DGA extension library
Summary(pl.UTF-8):	Biblioteka rozszerzenia XFree86-DGA
Name:		xorg-lib-libXxf86dga
Version:	1.0.2
Release:	2
License:	MIT
Group:		X11/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/lib/libXxf86dga-%{version}.tar.bz2
# Source0-md5:	6f5f621804ee652b6cc6f2025c517c78
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-proto-xf86dgaproto-devel >= 2.0.3
BuildRequires:	xorg-util-util-macros >= 0.99.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XFree86-DGA (Direct Graphics Access) extension library.

%description -l pl.UTF-8
Biblioteka rozszerzenia XFree86-DGA (Direct Graphics Access -
bezpośredniego dostępu do grafiki).

%package devel
Summary:	Header files for libXxf86dga library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libXxf86dga
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-lib-libXext-devel
Requires:	xorg-proto-xf86dgaproto-devel

%description devel
This package contains the header files needed to develop programs that
use libXxf86dga.

%description devel -l pl.UTF-8
Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libXxf86dga.

%package static
Summary:	Static libXxf86dga library
Summary(pl.UTF-8):	Biblioteka statyczna libXxf86dga
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This package contains the static libXxf86dga library.

%description static -l pl.UTF-8
Pakiet zawiera statyczną bibliotekę libXxf86dga.

%prep
%setup -q -n libXxf86dga-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog
%attr(755,root,root) %{_libdir}/libXxf86dga.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libXxf86dga.so
%{_libdir}/libXxf86dga.la
%{_pkgconfigdir}/xxf86dga.pc
%{_mandir}/man3/*.3x*

%files static
%defattr(644,root,root,755)
%{_libdir}/libXxf86dga.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-lib-libXxf86dga.spec,v $
Revision 1.20  2008/11/05 23:28:43  arekm
- release 2

Revision 1.19  2007/09/05 18:15:40  qboosh
- updated to 1.0.2

Revision 1.18  2007/02/12 22:09:24  glen
- tabs in preamble

Revision 1.17  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.16  2006/11/24 23:53:46  arekm
- rebuild

Revision 1.15  2006/11/21 00:24:40  arekm
- rebuild

Revision 1.14  2006/04/27 15:25:42  arekm
- up to 1.0.1

Revision 1.13  2006/03/08 22:32:54  qboosh
- release 1

Revision 1.12  2005/12/28 14:55:52  qboosh
- sources from X11R7.0 release

Revision 1.11  2005/12/20 14:09:53  qboosh
- 1.0.0 (X11R7.0-RC4)

Revision 1.10  2005/12/04 16:47:11  qboosh
- -devel desc fixes

Revision 1.9  2005/12/04 12:22:14  qboosh
- 0.99.3 (X11R7.0-RC3)

Revision 1.8  2005/11/19 19:50:45  qboosh
- 0.99.2 (X11R7.0-RC2)

Revision 1.7  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.6  2005/10/20 20:36:03  qboosh
- more docs, fixed libmandir

Revision 1.5  2005/10/20 11:40:24  jpc
- up to 0.99.1

Revision 1.4  2005/08/27 19:38:03  wiget
- kill /usr/X11R6

Revision 1.3  2005/08/27 17:56:06  qboosh
- cleanups, ported back to Linux

Revision 1.2  2005/08/27 17:42:48  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:41  arekm
- modular xorg specs

* Sat Aug 13 2005 11:13:42  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- fixed summaries and descriptions
- defined %%{_prefix} and %{_mandir}
- added %%doc
- removed redundant BR: libX11-devel, xextproto-devel, xproto-devel
- added R: libXext-devel, xf86dgaproto-devel to devel package
- release 0.02

* Fri Aug  5 2005 20:42:06  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- initial release
